Name:           perl-X10
Version:        0.03
Release:        1%{?dist}
Summary:        X10 Perl module
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/X10/
Source0:        http://www.cpan.org/authors/id/R/RO/ROBF/X10-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
I code is entirely object-oriented, including several X10 computer-
interface modules inherited from a common abstract module, support for
event scheduling, event callbacks (event-driven), and an abstracted client-
server interface over TCP sockets.  Some of these capabilities are limited
for computer-interface hardware that is transmit-only.

%prep
%setup -q -n X10-%{version}
# fix sheband
sed -i '1s:^#!/usr/local/bin/perl:#!/usr/bin/perl:' x10{client,server}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes devices macros.config ports README scheduler.config TODO x10client x10server
%{perl_vendorlib}/*
%{_bindir}/x10{client,server}

%changelog
* Fri Dec 30 2016 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> 0.03-1
- Specfile autogenerated by cpanspec 1.78.
